<template>
    <div v-if="isAuth">
        <v-row no-gutters justify="center" class="bg-grey">
            <v-col cols="8">
                <NewPresentationCard/>
            </v-col>
        </v-row>
        <v-row no-gutters justify="center">
            <v-col cols="8">
                <AllPresentations />
            </v-col>
        </v-row>
    </div>
    <div v-else>
        <v-alert color="red" prominent text type="warning">Vous devez être connecté pour créer des slides</v-alert>
    </div>
</template>

<script>
import AllPresentations from "@/components/AllPresentations.vue";
import NewPresentationCard from "@/components/NewPresentationCard.vue";

export default {
    name: "HomeView",
    components: {
        AllPresentations,
        NewPresentationCard,
    },
    watch: {
        isAuth(newVal) {
            if(newVal) {
                this.$store.dispatch('slide/getPresentations', { userId: this.user.uid});
            }
        }
    },
    computed: {
        isAuth() {
            return this.$store.getters['user/isAuth'];
        },
        user() {
            return this.$store.getters['user/user'];
        }
    }
};
</script>

<style scoped>
.bg-grey {
    background-color: #f5f4f0;
}
</style>
